Bug 285901 - (CVE-2007-4784) CVE-2007-4784 php crash in setlocale() function
CVE-2007-4784 php crash in setlocale() function
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20070911,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 09:17 EDT by Tomas Hoger
Modified: 2007-11-29 09:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 15:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-09-11 09:17:33 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-4784 to the following vulnerability:

The setlocale function in PHP before 5.2.4 allows context-dependent attackers to cause a denial of service (application crash) via a long string in the locale parameter.  NOTE: this might not be a vulnerability in most web server environments that support multiple threads, unless this issue can be demonstrated for code execution.

References:

http://www.securityfocus.com/archive/1/archive/1/478627/100/0/threaded
Comment 1 Josh Bressers 2007-09-12 15:06:26 EDT
We do not consider this to be a security issue. For more information please see
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169857#c1
and http://www.php.net/security-note.php
Comment 2 Tomas Hoger 2007-11-29 09:44:08 EST
This issue was addressed in upstream PHP 5.2.5, patch:

http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.67&r2=1.445.2.14.2.68

Note You need to log in before you can comment on or make changes to this bug.